let did_file = ref false

let doit fd = 
  Dump.dump_ast (
    Optimize.optimize (
      Parse.document Lex.token (Lexing.from_channel fd)))

let do_file filename = 
  did_file := true;
  doit (open_in filename)
    
let _ = Gc.set { (Gc.get()) with Gc.space_overhead = 300 } 

let _ = Arg.parse [] do_file "usage: runme <filename>\n"

let _ = if not (!did_file) then doit stdin
