{
  open Parse
  open String
}

let alpha = ['a'-'z''A'-'Z'] 
let num = ['0'-'9']
let printing = ['\033'-'\059' '\061' '\063'-'\126']
let whitespace = ['\n''\r''\t'' ']
let text = (printing | whitespace) +
let alphanum = (alpha | num) +


rule token = parse
    
    "</" alphanum '>'         { let str = Lexing.lexeme lexbuf in 
				  CLOSE (sub str 2 ((length str) - 3)) }

  | '<' alphanum '>'          { let str = Lexing.lexeme lexbuf in 
				  OPEN (sub str 1 ((length str) - 2)) }      

  | text                      { CHARS (Lexing.lexeme lexbuf) }
  | eof                       { EOF }
